Subject: Re: [tcpm] WGLC for draft-ietf-tcpm-2140bis

From: "Scharf, Michael" <[email-masked]>
Date: Fri, 12 Jun 2020 09:56:39 +0000

Hi all,

I haven't seen any reply so far. Lack of _any_ feedback is not a particularly good sign.

Anyway, no feedback implies that the document is ready to move forward. However, even in that case explicit support for publication  would be _really_ useful. A simple "+1" could be enough...

I'll extend the WGLC by one week until June 21 to give the community some additional time to comment.

Thanks

Michael

> -----Original Message-----
> From: Scharf, Michael <[email-masked]>
> Sent: Saturday, May 30, 2020 8:06 PM
> To: [email-masked]
> Cc: tcpm-chairs <[email-masked]>
> Subject: WGLC for draft-ietf-tcpm-2140bis
> 
> Hi all,
> 
> The document "TCP Control Block Interdependence" (draft-ietf-tcpm-
> 2140bis) is out there for a quite some time already. Given that there has
> been a bit less activity on the list after the interim, let's use this opportunity
> to finish one of our milestones...
> 
> This e-mail starts a WGLG for the document draft-ietf-tcpm-2140bis. The
> WGLC will run until ***June 14***.
> 
> The intended status is an informational RFC. The current version of the
> document can be found at:
> 
> https://tools.ietf.org/html/draft-ietf-tcpm-2140bis-05
> 
> Please review the latest version and please let us know any comments or
> suggestions. TCPM needs reviews to ensure that the content is ready to
> move forward. Feedback supporting publication ("+1") is also very welcome.
> 
> Thanks
> 
> Michael, on behalf of the TCPM chairs

---

From: Joseph Touch <[email-masked]>
Date: Fri, 12 Jun 2020 12:39:16 -0700

I’m guessing the views of the authors is gratuitous, but to at least be explicit:

+1

Joe

> On Jun 12, 2020, at 2:56 AM, Scharf, Michael <[email-masked]> wrote:
> 
> Hi all,
> 
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm

---

From: Yuchung Cheng <[email-masked]>
Date: Thu, 25 Jun 2020 14:02:38 -0700

On
"Because this is similar to the case
   when a connection becomes idle, mechanisms that address idle TCP
   connections (e.g., [RFC7661]) could also be applied to TCB cache
   management, especially when TCP Fast Open is used [RFC7413]"

Why do TFO-started idle connections benefit this particularly?

---

From: Joseph Touch <[email-masked]>
Date: Fri, 26 Jun 2020 08:03:36 -0700

Yi, Yuchung,

The text was introduced in the draft-touch-tcpm-2140bis-05 version in Sept 2018.

It relates to the way in which 2140 would handle the effect of idle connections and how that information becomes invalid over time as long as the connection is idle.

I.e., the idea is that 2140 could help TFP avoid bursting into the net more aggressively rather than backing down, as discussed in Sec 7.2 of RFC 7413. 

If our interpretation or the text would benefit from revision, please suggest alternate text.

Joe

> On Jun 25, 2020, at 2:02 PM, Yuchung Cheng <ycheng=[email-masked]> wrote:
> 
> On

---

From: Yuchung Cheng <[email-masked]>
Date: Fri, 26 Jun 2020 09:25:52 -0700

Thanks. How about

"Because this is similar to the case
   when a connection becomes idle, mechanisms that address idle TCP
   connections (e.g., [RFC7661]) could also be applied to TCB cache
   management such as TCP Fast Open [RFC7413] (Section 7.2)"

I think it'll help readers find the context quicker by citing the section
directly.

On Fri, Jun 26, 2020 at 8:04 AM Joseph Touch <[email-masked]> wrote:

> It relates to the way in which 2140 would handle the effect of idle
> connections and how that information becomes invalid over time as long as
> the connection is idle.
>
> I.e., the idea is that 2140 could help TFP avoid bursting into the net
> more aggressively rather than backing down, as discussed in Sec 7.2 of RFC
> 7413.
>
> >>> Anyway, no feedback implies that the document is ready to move
> forward. However, even in that case explicit support for publication  would
> be _really_ useful. A simple "+1" could be enough...
> >>>

---

From: Joseph Touch <[email-masked]>
Date: Fri, 26 Jun 2020 18:00:49 -0700

AOK - thanks, will do.

Joe

> On Jun 26, 2020, at 9:25 AM, Yuchung Cheng <[email-masked]> wrote:
> 
> Thanks. How about 
> 
> I think it'll help readers find the context quicker by citing the section directly.
> 
> 
> On Fri, Jun 26, 2020 at 8:04 AM Joseph Touch <[email-masked] <mailto:[email-masked]>> wrote:
> Yi, Yuchung,
> 
> > On Jun 25, 2020, at 2:02 PM, Yuchung Cheng <ycheng=[email-masked] <mailto:[email-masked]>> wrote:
> > 
> > On
> > On Fri, Jun 12, 2020 at 12:40 PM Joseph Touch <[email-masked] <mailto:[email-masked]>> wrote:
> >> 
> >>> On Jun 12, 2020, at 2:56 AM, Scharf, Michael <[email-masked] <mailto:[email-masked]>> wrote:
> >>> 
> >>> Hi all,
> >>> 
> >>>> From: Scharf, Michael <[email-masked] <mailto:[email-masked]>>
> >>>> To: [email-masked] <mailto:[email-masked]>
> >>>> Cc: tcpm-chairs <[email-masked] <mailto:[email-masked]>>
> >>>> https://tools.ietf.org/html/draft-ietf-tcpm-2140bis-05 <https://tools.ietf.org/html/draft-ietf-tcpm-2140bis-05>
> >>>> 
> >>> [email-masked] <mailto:[email-masked]>
> >>> https://www.ietf.org/mailman/listinfo/tcpm <https://www.ietf.org/mailman/listinfo/tcpm>
> >> 
> >> [email-masked] <mailto:[email-masked]>
> >> https://www.ietf.org/mailman/listinfo/tcpm <https://www.ietf.org/mailman/listinfo/tcpm>
> > 
> > [email-masked] <mailto:[email-masked]>
> > https://www.ietf.org/mailman/listinfo/tcpm <https://www.ietf.org/mailman/listinfo/tcpm>
>